<?php  
session_start(); 
if(!isset($_SESSION['tulsilogin']))
	{
		header('Location: index.php');
		return;
	}

	include("connect.php");	header("Access-Control-Allow-Origin: *");
	
	$eve = "select * from res_refferalpointcategory_master";
	$re = mysqli_query($conn, $eve);	
	
	$response = array();
	$posts = array();
	
	$result="0";
	
	if(mysqli_num_rows($re) > 0)
	{
		$i=1;
		 while($rt = mysqli_fetch_assoc($re))
		 {
			 
				$rpcmic=$rt['rpcmic'];
				$rpcategoryname=$rt['rpcategoryname'];
				$rpminredeemvalue=$rt['rpminredeemvalue'];
				$rpconversationrate=$rt['rpconversationrate'];
				
				
				
				
				$pidedit="<a href='refferalpointcategoryedit.php?id=".$rt['rpcmic']."' data-toggle='tooltip' data-placement='top' title='Edit' class='fa fa-edit fa-lg'>  </a>";
				
				$pidview="<a href='refferalpointcategorydetail.php?id=".$rt['rpcmic']."' data-toggle='tooltip' data-placement='top' title='Edit' > View </a>";
				
				
				
				
				$piddelete="<a href='refferalpointcategorydelete.php?id=".$rt['rpcmic']."'onclick='return confirm(&#39;Are you sure you want to delete ?&#39;);' data-toggle='tooltip' data-placement='top' title='Delete' class='far fa-trash-alt fa-lg'>  </a>";			
                $op=$pidedit."&nbsp;&nbsp;&nbsp; ".$piddelete;
								
								
				//$tmdocument1 = "<a href='./docs/$tmdocument' target='_blank'>View</a>";
								
				$posts[] = array('srno'=> $i++,'op'=> $op,'piddelete'=> $piddelete, 'rpminredeemvalue'=> $rpminredeemvalue, 'rpconversationrate'=> $rpconversationrate, 'rpcategoryname'=> $rpcategoryname, 'pidview'=> $pidview);
		 }
		 
		$response['posts'] = $posts;
		echo stripslashes(json_encode( array('data' => $posts)));
		mysqli_close($conn);
		return;
	}
	
   else
   {
		$result="0";
		$msg="Invalid Error";
		
		$posts[] = array('p1'=> $result,'p2'=> $msg);
	
		$response['posts'] = $posts;
		echo stripslashes(json_encode( array('item' => $posts)));
   }   
	mysqli_close($conn);	
	
?>